#pragma once

#include "ComponentEditor.hpp"

struct RoomWindowsComponent;

class RoomWindowsEditor : public ComponentEditor<RoomWindowsComponent> {
public:
    bool renderComponent(flecs::entity entity, RoomWindowsComponent& windows) override;
    const char* getName() const override { return "Room Windows"; }
};
